package dev.fyloz.colorrecipesexplorer

object Constants {
    object ControllerPaths {
        const val FILE = "/api/file"
        const val MATERIAL = "/api/material"
        const val MATERIAL_TYPE = "/api/materialtype"
        const val MIX = "/api/recipe/mix"
        const val RECIPE = "/api/recipe"
    }

    object FilePaths {
        private const val PDF = "pdf"
        private const val IMAGES = "images"

        const val SIMDUT = "$PDF/simdut"
        const val RECIPE_IMAGES = "$IMAGES/recipes"
    }

    object ValidationMessages {
        const val SIZE_GREATER_OR_EQUALS_ZERO = "Must be greater or equals to 0"
        const val SIZE_GREATER_OR_EQUALS_ONE = "Must be greater or equals to 1"
        const val RANGE_OUTSIDE_PERCENTS = "Must be between 0 and 100"
    }

    object ValidationRegexes {
        const val VALIDATION_COLOR_PATTERN = "^#([0-9a-f]{6})$"
    }
}