package dev.fyloz.colorrecipesexplorer.dtos

import com.fasterxml.jackson.annotation.JsonIgnore
import dev.fyloz.colorrecipesexplorer.Constants
import javax.validation.constraints.Min
import javax.validation.constraints.NotBlank

data class MixDto(
    override val id: Long = 0L,

    val location: String? = null,

    @JsonIgnore
    val recipeId: Long,

    val mixType: MixTypeDto,

    val mixMaterials: List<MixMaterialDto>
) : EntityDto

data class MixSaveDto(
    val id: Long = 0L,

    @field:NotBlank
    val name: String,

    val recipeId: Long = 0L,

    val materialTypeId: Long,

    val mixMaterials: List<MixMaterialSaveDto>
)

data class MixDeductDto(
    val id: Long,

    @field:Min(0, message = Constants.ValidationMessages.SIZE_GREATER_OR_EQUALS_ZERO)
    val ratio: Float
)

data class MixLocationDto(
    val mixId: Long,

    val location: String?
)